* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/* Global Styles */
body {
  font-family: "Arial", sans-serif;
  background-color: var(--primary-bg);
  color: var(--text-primary);
  margin: 0;
  padding: 0;
}

/* Header Navigation */
.btm-nav {
  z-index: 1000;
}

.btm-nav.sticky {
  background-color: var(--primary-bg);
  padding: 0.75rem 0;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding-left: 10%;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
}

/* .nav-links {
  display: flex;
  gap: 20px;
} */

a {
  color: var(--text-secondary);
  text-decoration: none;
  font-size: 15px;
  transition: color 0.3s ease;
}

.nav-links a:hover {
  color: var(--text-primary);
}

/* Search Bar */
.search-bar {
  display: flex;
  align-items: center;
  background-color: #333;
  padding: 0.7rem 1rem;
  border: none;
  border-radius: 25px;
  color: var(--text-primary);
  width: 220px;
}

.search-bar input {
  border: none;
  background: transparent;
  outline: none;
  color: var(--text-primary);
  margin-left: 10px;
}

.container {
  width: 90%;
  max-width: 1200px;
  margin: auto;
  padding: var(--spacing);
}

/* Buttons */
.btn {
  border-radius: var(--border-radius);
  border: none;
  cursor: pointer;
  transition: var(--transition);
  font-size: var(--font-size-base);
}
.btn-white {
  border: none;
  background-color: white;
  color: var(--primary-bg);
}
.btn:hover {
  background-color: var(--text-secondary);
}

.hero-section {
  background-image: url("/assets//images/spider-man.webp");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  width: 65vw;
  height: 32rem;
  display: flex;
  flex-direction: column;
  align-items: baseline;
  justify-content: end;
  border-radius: 25px;
  padding: 15px;
}
p {
  line-height: 1.7;
}

.game-card {
  border-radius: var(--border-radius);
  overflow: hidden;
}
.game-img {
  width: 50px;
  height: 60px;
  border-radius: var(--border-radius);
  margin-right: 1rem;
}
.game-info {
  flex: 1;
}
.testing {
  height: 100vh;
  background-color: var(--button-bg);
}

.discover-new {
  height: auto;
}

.btn-color {
  background-color: var(--secondary-bg);
}

.card-new {
  width: 16%;
  height: auto;
  overflow: hidden;
  position: relative;
}

.card-img {
  width: 100%;
  height: 375px;
  object-fit: cover;
  border-radius: var(--border-radius);
  image-rendering: auto; /* Helps with clarity */
  transition: transform 0.2s ease;
}

/* Plus sign */
.card-new::after {
  content: "+";
  position: absolute;
  top: 16px;
  right: 16px;
  width: 24px;
  height: 24px;
  background-color: var(--primary-bg);
  color: white;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 20px;
  opacity: 0;
  transition: opacity 0.2s ease;
}

/* Hover effects */
.card-new:hover::after {
  opacity: 1;
}

.card-new:hover .card-img {
  transform: scale(1.05); /* adds a slight zoom effect */
}

.shop-card {
  width: 32%;
  height: auto;
  overflow: hidden;
  position: relative;
}

.shop-card img {
  width: 100%;
  height: 275px;
  object-fit: cover;
  border-radius: var(--border-radius);
  image-rendering: auto;
}

/* Free Games */

.free-games {
  height: 94vh;
}

.btn-outline {
  border-radius: var(--border-radius);
  border: 1px solid #ffffff;
  cursor: pointer;
  transition: var(--transition);
}

.free-game-img {
  width: 100%;
  height: 290px;
  object-fit: cover;
  border-radius: var(--border-radius);
}

.btn-outline:hover {
  background-color: var(--text-secondary);
}

.game-holder:hover {
  cursor: pointer;
}

/* GRID LIST */
.grid-div {
  width: 30%;
  height: auto;
}

hr {
  margin: 0;
  width: 2px;
  height: auto;
  background-color: whitesmoke;
  border: none;
  transform: rotate(180deg);
  align-self: stretch;
}

.grid-list {
  width: 100%;
}

.grid-list:hover {
  background-color: #333;
}

.grid-img {
  width: 25%;
  height: 140px;
  object-fit: cover;
  image-rendering: auto;
}

.small {
  font-size: 25px;
}

footer {
  background-color: #1a1a1a;
  padding: 60px 100px;
}

.footer-container {
  max-width: 700px;
}
footer li{
  list-style: none;
  margin: 10px 0;
}
.social-icons a {
  color: white;
  font-size: 30px;
  margin-right: 5px;
  text-decoration: none;
}

.social-icons a:hover {
  color: #999;
}


.column {
  text-align: left;
}

footer h3 {
  font-size: 15px;
  margin: 10px 0;
  color: #686767;
}

.column a {
  display: block;
  color: #bbb;
  text-decoration: none;
  font-size: 14px;
  margin-bottom: 5px;
}

.column a:hover {
  color: white;
}

.footer-bottom {
  margin-top: 30px;
  font-size: 12px;
  color: #888;
}

.footer-bottom .terms {
  margin-top: 40px;
}

.footer-bottom .terms a {
  color: #bbb;
  text-decoration: none;
  margin: 0 10px;
  font-size: 14px;
}

.footer-bottom .terms a:hover {
  color: white;
}


.back-to-top {
  position: fixed;
  bottom: 32rem;
  right: 100px;
  background-color: transparent;
  color: white;
  border: 2px solid white;
  padding: 10px;
  font-size: 18px;
  cursor: pointer;
  border-radius: 5px;
  display: none;
}

.back-to-top:hover {
  background-color: #666;
}
